<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__profile__ctr__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_profile_ctr_t</compoundname>
    <includes local="no">cy_profile.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__profile__ctr__t_1a1242af2f87b3d1c16afada8d63d0d069" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_profile_ctr_t::ctrNum</definition>
        <argsstring />
        <name>ctrNum</name>
        <briefdescription>
<para>Profile counter number. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="343" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="343" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__t_1a3eba8268772fd8b69da815f8075e8be2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_profile_ctr_t::used</definition>
        <argsstring />
        <name>used</name>
        <briefdescription>
<para>0 = available; 1 = used </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="344" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="344" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__t_1adbd9c04af0e270872570023b651211b8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__profile__ctr__ctl__t">cy_stc_profile_ctr_ctl_t</ref></type>
        <definition>cy_stc_profile_ctr_ctl_t cy_stc_profile_ctr_t::ctlRegVals</definition>
        <argsstring />
        <name>ctlRegVals</name>
        <briefdescription>
<para>Initial counter CTL register settings. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="345" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="345" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__t_1ae30cee12afd1007fa444a75db8a50226" kind="variable" mutable="no" prot="public" static="no">
        <type>PROFILE_CNT_STRUCT_Type *</type>
        <definition>PROFILE_CNT_STRUCT_Type* cy_stc_profile_ctr_t::cntAddr</definition>
        <argsstring />
        <name>cntAddr</name>
        <briefdescription>
<para>Base address of the counter instance registers. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="346" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="346" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__t_1a42de3b6df36b5f40867d4943b3eeef39" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_profile_ctr_t::ctlReg</definition>
        <argsstring />
        <name>ctlReg</name>
        <briefdescription>
<para>Current CTL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="347" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="347" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__t_1a0344d3e974cdf38ce8fd500c48ed1453" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_profile_ctr_t::cntReg</definition>
        <argsstring />
        <name>cntReg</name>
        <briefdescription>
<para>Current CNT register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="348" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="348" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__t_1a717ea8d346c652b12c099ac2ea1e9582" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_profile_ctr_t::overflow</definition>
        <argsstring />
        <name>overflow</name>
        <briefdescription>
<para>Extension of cntReg to form a 64-bit counter value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="349" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="349" />
      </memberdef>
      <memberdef id="structcy__stc__profile__ctr__t_1a8d4a20c29f5b752b634767ba596085a4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_profile_ctr_t::weight</definition>
        <argsstring />
        <name>weight</name>
        <briefdescription>
<para>Weighting factor for the counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="350" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="350" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Software structure for holding a profile counter status and configuration information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="228">
        <label>cy_stc_profile_ctr_t</label>
        <link refid="structcy__stc__profile__ctr__t" />
        <childnode refid="229" relation="usage">
          <edgelabel>ctlRegVals</edgelabel>
        </childnode>
      </node>
      <node id="229">
        <label>cy_stc_profile_ctr_ctl_t</label>
        <link refid="structcy__stc__profile__ctr__ctl__t" />
      </node>
    </collaborationgraph>
    <location bodyend="351" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="341" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="342" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__profile__ctr__t_1ae30cee12afd1007fa444a75db8a50226" virt="non-virtual"><scope>cy_stc_profile_ctr_t</scope><name>cntAddr</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__t_1a0344d3e974cdf38ce8fd500c48ed1453" virt="non-virtual"><scope>cy_stc_profile_ctr_t</scope><name>cntReg</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__t_1a42de3b6df36b5f40867d4943b3eeef39" virt="non-virtual"><scope>cy_stc_profile_ctr_t</scope><name>ctlReg</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__t_1adbd9c04af0e270872570023b651211b8" virt="non-virtual"><scope>cy_stc_profile_ctr_t</scope><name>ctlRegVals</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__t_1a1242af2f87b3d1c16afada8d63d0d069" virt="non-virtual"><scope>cy_stc_profile_ctr_t</scope><name>ctrNum</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__t_1a717ea8d346c652b12c099ac2ea1e9582" virt="non-virtual"><scope>cy_stc_profile_ctr_t</scope><name>overflow</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__t_1a3eba8268772fd8b69da815f8075e8be2" virt="non-virtual"><scope>cy_stc_profile_ctr_t</scope><name>used</name></member>
      <member prot="public" refid="structcy__stc__profile__ctr__t_1a8d4a20c29f5b752b634767ba596085a4" virt="non-virtual"><scope>cy_stc_profile_ctr_t</scope><name>weight</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>